#!/usr/bin/env python

import sys

sys.stdout.write("Checking Python version... ")
sys.stdout.write(sys.version[:5] + ".\n")
if sys.hexversion < 0x20300f0:
    print "Superchick requires at least Python 2.3 (http://www.python.org)."
    sys.exit(1)

sys.stdout.write("Checking for Pygame... ")
try: import pygame
except ImportError:
    print "Not found."
    print "Superchick requires Pygame. (http://www.pygame.org)"
    sys.exit(1)
print pygame.ver + "."

if pygame.ver < "1.5.5":
    print "Superchick requires at least Pygame 1.5.5. (http://www.pygame.org)"

print "\nYour system meets the requirements to install Superchick."
print "Type 'make install' (as root) to install it."
